Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.rds.model
Class RevokeDBSecurityGroupIngressRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.rds.model.RevokeDBSecurityGroupIngressRequest

    public class RevokeDBSecurityGroupIngressRequest

extends AmazonWebServiceRequest

Container for the parameters to the `RevokeDBSecurityGroupIngress operation`.

This API revokes ingress from a DBSecurityGroup for previously authorized IP ranges or EC2 Security Groups. Required parameters for this API are one of CIDRIP or (EC2SecurityGroupName AND EC2SecurityGroupOwnerId).

See Also:
  `AmazonRDS.revokeDBSecurityGroupIngress(RevokeDBSecurityGroupIngressRequest)`

Constructor Summary
`RevokeDBSecurityGroupIngressRequest()`

Method Summary
`String` | `getCIDRIP()` The IP range to revoke access from.
`String` | `getDBSecurityGroupName()` The name of the DB Security Group to revoke ingress from.
`String` | `getEC2SecurityGroupName()` The name of the EC2 Security Group to revoke access from.
`String` | `getEC2SecurityGroupOwnerId()` The AWS Account Number of the owner of the security group specified in the EC2SecurityGroupName parameter.
`void` | `setCIDRIP(String cIDRIP)` The IP range to revoke access from.
`void` | `setDBSecurityGroupName(String dBSecurityGroupName)` The name of the DB Security Group to revoke ingress from.
`void` | `setEC2SecurityGroupName(String eC2SecurityGroupName)` The name of the EC2 Security Group to revoke access from.
`void` | `setEC2SecurityGroupOwnerId(String eC2SecurityGroupOwnerId)` The AWS Account Number of the owner of the security group specified in the EC2SecurityGroupName parameter.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`RevokeDBSecurityGroupIngressRequest` | `withCIDRIP(String cIDRIP)` The IP range to revoke access from.
`RevokeDBSecurityGroupIngressRequest` | `withDBSecurityGroupName(String dBSecurityGroupName)` The name of the DB Security Group to revoke ingress from.
`RevokeDBSecurityGroupIngressRequest` | `withEC2SecurityGroupName(String eC2SecurityGroupName)` The name of the EC2 Security Group to revoke access from.
`RevokeDBSecurityGroupIngressRequest` | `withEC2SecurityGroupOwnerId(String eC2SecurityGroupOwnerId)` The AWS Account Number of the owner of the security group specified in the EC2SecurityGroupName parameter.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RevokeDBSecurityGroupIngressRequest

    public RevokeDBSecurityGroupIngressRequest()

Method Detail

### getDBSecurityGroupName

    public String getDBSecurityGroupName()

  The name of the DB Security Group to revoke ingress from.

  Returns:
    The name of the DB Security Group to revoke ingress from.

### setDBSecurityGroupName

    public void setDBSecurityGroupName(String dBSecurityGroupName)

  The name of the DB Security Group to revoke ingress from.

  Parameters:
    `dBSecurityGroupName` - The name of the DB Security Group to revoke ingress from.

### withDBSecurityGroupName

    public RevokeDBSecurityGroupIngressRequest withDBSecurityGroupName(String dBSecurityGroupName)

  The name of the DB Security Group to revoke ingress from.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBSecurityGroupName` - The name of the DB Security Group to revoke ingress from.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getCIDRIP

    public String getCIDRIP()

  The IP range to revoke access from.

  Returns:
    The IP range to revoke access from.

### setCIDRIP

    public void setCIDRIP(String cIDRIP)

  The IP range to revoke access from.

  Parameters:
    `cIDRIP` - The IP range to revoke access from.

### withCIDRIP

    public RevokeDBSecurityGroupIngressRequest withCIDRIP(String cIDRIP)

  The IP range to revoke access from.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `cIDRIP` - The IP range to revoke access from.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getEC2SecurityGroupName

    public String getEC2SecurityGroupName()

  The name of the EC2 Security Group to revoke access from.

  Returns:
    The name of the EC2 Security Group to revoke access from.

### setEC2SecurityGroupName

    public void setEC2SecurityGroupName(String eC2SecurityGroupName)

  The name of the EC2 Security Group to revoke access from.

  Parameters:
    `eC2SecurityGroupName` - The name of the EC2 Security Group to revoke access from.

### withEC2SecurityGroupName

    public RevokeDBSecurityGroupIngressRequest withEC2SecurityGroupName(String eC2SecurityGroupName)

  The name of the EC2 Security Group to revoke access from.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `eC2SecurityGroupName` - The name of the EC2 Security Group to revoke access from.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getEC2SecurityGroupOwnerId

    public String getEC2SecurityGroupOwnerId()

  The AWS Account Number of the owner of the security group specified in the EC2SecurityGroupName parameter. The AWS Access Key ID is not an acceptable value.

  Returns:
    The AWS Account Number of the owner of the security group specified in the EC2SecurityGroupName parameter. The AWS Access Key ID is not an acceptable value.

### setEC2SecurityGroupOwnerId

    public void setEC2SecurityGroupOwnerId(String eC2SecurityGroupOwnerId)

  The AWS Account Number of the owner of the security group specified in the EC2SecurityGroupName parameter. The AWS Access Key ID is not an acceptable value.

  Parameters:
    `eC2SecurityGroupOwnerId` - The AWS Account Number of the owner of the security group specified in the EC2SecurityGroupName parameter. The AWS Access Key ID is not an acceptable value.

### withEC2SecurityGroupOwnerId

    public RevokeDBSecurityGroupIngressRequest withEC2SecurityGroupOwnerId(String eC2SecurityGroupOwnerId)

  The AWS Account Number of the owner of the security group specified in the EC2SecurityGroupName parameter. The AWS Access Key ID is not an acceptable value.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `eC2SecurityGroupOwnerId` - The AWS Account Number of the owner of the security group specified in the EC2SecurityGroupName parameter. The AWS Access Key ID is not an acceptable value.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.